%define name 	bluez-gnome
%define version 1.8
%define release %mkrel 5

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Bluetooth pairing and control applet
License: 	GPLv2+
Group: 		Graphical desktop/GNOME
Url: 		http://www.bluez.org/
Source0: 	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
Patch0:     bluetooth-sendto-ods-svn.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/535
Patch1:     0001-Fix-PS3-BD-remote-pairing.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/559
Patch2:		0001-Fixes-for-adapter-specific-buttons.patch
Patch3:		0002-Move-the-adapter-button-list-to-the-side.patch
Patch4:		0003-Fix-trust-button.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=466988
Patch5:		bluez-apple-wireless-kbd.patch
# http://git.kernel.org/?p=bluetooth/bluez-gnome.git;a=commitdiff;h=7256de93be73f50913f6689a0690e3c0a28dfe3b
Patch6:		bluez-wizard-fix-null-display.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=464446
Patch7:		0001-Add-support-for-pairing-a-few-GPS-devices.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/650
Patch8:		0001-Sort-devices-by-type-in-the-treeviews.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/812
Patch9:		0001-Move-the-PIN-quirks-to-an-external-database.patch
# http://marc.info/?l=linux-bluetooth&m=122797676711812&w=2
Patch10:	0001-Add-other-audio-devices.patch
Patch11:	0002-Handle-printers-in-the-wizard.patch
Patch12:	0003-Add-quirks-for-loads-of-GPS-devices.patch
Patch13:	0004-Add-more-PIN-quirks.patch
Patch14:	0001-Add-another-GPS-device.patch
Patch15:	0001-Another-GPS-device-from-Holux.patch
Patch16:	0002-Add-no-name-GPS-device.patch
# (fc) fix format security error
Patch17:	bluez-gnome-1.8-fix-format-security.patch

BuildRequires:  desktop-file-utils
BuildRequires:  libdbus-glib-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libnotify-devel
BuildRequires:  hal-devel
BuildRequires:  intltool
Buildroot: 	%_tmppath/%name-%version
Obsoletes:	bluez-pin <= 0.30
Provides:	bluez-pin
Provides:	dbus-bluez-pin-helper
Suggests:	obex-data-server
Requires:	bluez

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%preun
%preun_uninstall_gconf_schemas bluetooth-manager

%files -f bluetooth-manager.lang
%defattr(-,root,root)
%_sysconfdir/gconf/schemas/bluetooth-manager.schemas
%_sysconfdir/xdg/autostart/bluetooth-applet.desktop
%_bindir/bluetooth-applet
%_bindir/bluetooth-properties
%_bindir/bluetooth-sendto
%_bindir/bluetooth-browse
%_bindir/bluetooth-wizard
%_datadir/applications/bluetooth-properties.desktop
%{_mandir}/man1/bluetooth-sendto.*
%{_mandir}/man1/bluetooth-applet.*
%{_mandir}/man1/bluetooth-properties.*
%{_mandir}/man1/bluetooth-browse.*
%{_mandir}/man1/bluetooth-wizard.*
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/bluez-gnome


#--------------------------------------------------------------------

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Communications
Requires: %{name} = %{version}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%files analyzer
%defattr(-,root,root)
%{_bindir}/bluetooth-analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_mandir}/man1/bluetooth-analyzer.*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .ods-svn
%patch1 -p1 -b .ps3-bd
%patch2 -p1 -b .button
%patch3 -p1 -b .move
%patch4 -p1 -b .trust
%patch5 -p1 -b .apple-kbd
%patch6 -p1 -b .wizard-crash
%patch7 -p1 -b .gps
%patch8 -p1 -b .sorting
%patch9 -p1 -b .quirks
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1 -b .format-security

# needed by patch9
autoreconf

%build
%configure2_5x --disable-mime-update --disable-desktop-update --disable-icon-update --disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="HardwareSettings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/bluetooth-properties.desktop

%find_lang bluetooth-manager

%clean
rm -rf %{buildroot}


%changelog
* Wed Apr 22 2009 Frederic Crozat <fcrozat@mandriva.com> 1.8-5mdv2009.1
+ Revision: 368733
- Requires bluez, otherwise you can get no bluetooth support after install

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 1.8-4mdv2009.1
+ Revision: 353085
- reupload

* Wed Feb 18 2009 Frederic Crozat <fcrozat@mandriva.com> 1.8-3mdv2009.1
+ Revision: 342585
- Renumber patches 2 / 3 to 0 and 1
- Resync patches with Fedora packages (add support for lot of devices)
- Patch17: fix format security warnings

* Thu Nov 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.8-2mdv2009.1
+ Revision: 302676
- Fix spec file layout

* Sat Oct 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.8-1mdv2009.1
+ Revision: 292415
- Update to bluez-gnome 1.8
  Remove bluez-gnome-remove-class-file-sharing.patch
  Add  2 patches from Fedora ( for PS3 and with better obex-data-server support )
  Fix File list

* Tue Aug 12 2008 Emmanuel Andry <eandry@mandriva.org> 0.28-1mdv2009.0
+ Revision: 271124
- New version

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.27-1mdv2009.0
+ Revision: 231286
- New version 0.27
  Remove patch0 : Merged upstream

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 03 2008 Funda Wang <fundawang@mandriva.org> 0.26-1mdv2009.0
+ Revision: 214679
- New version 0.26
- sync patch0 with fedora

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 0.25-1mdv2008.1
+ Revision: 188513
- Release 0.25

* Fri Mar 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.23-2mdv2008.1
+ Revision: 181184
- Remove patch3 now that obexftp support is available in gvfs/nautilus

* Tue Feb 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.23-1mdv2008.1
+ Revision: 175600
- New version
- sync with fedora

* Tue Feb 19 2008 Frederic Crozat <fcrozat@mandriva.com> 0.21-1mdv2008.1
+ Revision: 173023
- Release 0.21
- Remove patch2, merged upstream
- Update patch0 and 1 with new version (Fedora)

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.18-2mdv2008.1
+ Revision: 165269
- Fix BuildRequires
- Move analyzer to a separate subpackage
- Replace bluez-pin
- Improve description / license (Fedora)
- Patch0, Source1 (Fedora): improve send-to dialog
- Patch1 (Fedora): don't show class in UI
- Patch2: fix device discovery (GNOME bug #515784)
- Patch3: hide browse devices until nautilus/gio supports OBEX
- Suggests obex-data-server for sendto feature

* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.18-1mdv2008.1
+ Revision: 164796
- New version

* Sat Feb 09 2008 Emmanuel Andry <eandry@mandriva.org> 0.17-1mdv2008.1
+ Revision: 164497
- New version

* Wed Dec 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-1mdv2008.1
+ Revision: 138033
- New version 0.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2008.1
+ Revision: 115450
- disable mime database update during build
- new version
- update to new version 0.14

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.14

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -New version 0.10

* Wed Jun 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9-1mdv2008.0
+ Revision: 41764
- New version 0.9

* Fri Jun 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-1mdv2008.0
+ Revision: 37578
- New version 0.8

* Sun May 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-1mdv2008.0
+ Revision: 28976
- New version 0.7


* Fri Mar 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-2mdv2007.0
+ Revision: 131004
- reenable menu, seems to need it for autostart

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2007.1
+ Revision: 130862
- fix buildrequires
- gtk2-devel
- libGConf2_4-devel
- buildrequires libdbus-glib-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix mistakes in SPEC
    - Add BR
    - New release 0.6  Menu entry not needed its an applet

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.6

* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
+ Revision: 60182
- import bluez-gnome-0.4-1mdv2007.0

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
- First Mandriva release

